import 'package:flutter/material.dart';

class LabColorConfig {
  // 测试用色
  // static const base100 = Color(0xFFebecfb);
  // static const base200 = Color(0xFFcbd3e5);
  // static const base300 = Color(0xFFaeb5cb);
  // static const base400 = Color(0xFF8f98b2);
  // static const base500 = Color(0xFF79839f);
  // static const base600 = Color(0xFF626e8d);
  // static const base700 = Color(0xFF444e66);
  // static const base800 = Color(0xFF343c50);
  // static const base900 = Color(0xFF212839);

  // 第一版原始配色
  static const base100 = Color(0xFFF7F9FC);
  static const base200 = Color(0xFFEDF0F7);
  static const base300 = Color(0xFFE2E7F0);
  static const base400 = Color(0xFFCBD2E0);
  static const base500 = Color(0xFFA0ABC0);
  static const base600 = Color(0xFF717D96);
  static const base700 = Color(0xFF4A5468);
  static const base800 = Color(0xFF2D3648);
  static const base900 = Color(0xFF1A202C);

  static const text100 = Color(0xFFF7F9FC);
  static const text200 = Color(0xFFEDF0F7);
  static const text300 = Color(0xFFE2E7F0);
  static const text400 = Color(0xFFCBD2E0);
  static const text500 = Color(0xFFA0ABC0);
  static const text600 = Color(0xFF717D96);
  static const text700 = Color(0xFF4A5468);
  static const text800 = Color(0xFF2D3648);
  static const text900 = Color(0xFF1A202C);

  /// green
  static const green100 = Color(0xFFE6FFEB);
  static const green200 = Color(0xFFB7F7C9);
  static const green300 = Color(0xFF7FF49A);
  static const green400 = Color(0xFF4EE072);
  static const green500 = Color(0xFF1EDC4A);
  static const green600 = Color(0xFF0FAE2F);
  static const green700 = Color(0xFF0A7D1F);
  static const green800 = Color(0xFF065114);
  static const green900 = Color(0xFF03300A);

  /// white 各主题下永远是白色 base200
  static const white = Color(0xFFEDF0F7);

  /// 标题色 -800
  static const mainPageHeaderColor = Color(0xFF2D3648);

  /// 顶部tab -800
  static const tabBarButtonColor = Color(0xFF2D3648);

  /// 按钮颜色 -800
  static const buttonColor = Color(0xFF4A5468);

  /// 按钮悬浮颜色 -900
  static const hoverButtonColor = Color(0xFF1A202C);

  /// 成员卡片颜色 -700
  static const memberCardColor = Color(0xFF4A5468);

  /// 悬浮字体背景颜色 -300
  static const hoverTextBgColor = Color(0xFF2D3648);

  /// 悬浮字体背景颜色 -800
  static const selectMeasureBgColor = Color(0xFF2D3648);

  /// 未选中 -300
  static const noSelectMeasureBgColor = Color(0xFFCBD2E0);

  /// 特殊高亮色 用在标签底色以及列表分类的高亮 200
  static const specialHighlightColor = Color(0xFFEDF0F7);
}
